@use 'sass:math';

*,
*:before,
*:after {
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  min-width: $minWidth + px;
}

body {
  background-color: $bodyBackgroundColor;
  color: $bodyColor;
  font-family: $fontFamily;
  font-size: $fontSize;
  margin: 0;
  padding: 0;

  -ms-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

  .lock & {
    overflow: hidden;
    touch-action: none;
  }

  // Сайт загружен
  .loaded & {
    //
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: $h-weight;
  margin: 5px 0;
  padding: 0;
  font-family: $h-font;
  color: $colorDark;
}

h1 {
  font-family: map-get($map: $h1, $key: 'font');
  font-size: map-get($map: $h1, $key: 'size');
  font-weight: map-get($map: $h1, $key: 'weight');
}

h2 {
  font-family: map-get($map: $h2, $key: 'font');
  font-size: map-get($map: $h2, $key: 'size');
  font-weight: map-get($map: $h2, $key: 'weight');
}

h3 {
  font-family: map-get($map: $h3, $key: 'font');
  font-size: map-get($map: $h3, $key: 'size');
  font-weight: map-get($map: $h3, $key: 'weight');
}

h4 {
  font-family: map-get($map: $h4, $key: 'font');
  font-size: map-get($map: $h4, $key: 'size');
  font-weight: map-get($map: $h4, $key: 'weight');
}

h5 {
  font-family: map-get($map: $h5, $key: 'font');
  font-size: map-get($map: $h5, $key: 'size');
  font-weight: map-get($map: $h5, $key: 'weight');
}

h6 {
  font-family: map-get($map: $h6, $key: 'font');
  font-size: map-get($map: $h6, $key: 'size');
  font-weight: map-get($map: $h6, $key: 'weight');
}

ul {
  margin: 0;
  padding: 0;

  li {
    list-style: none;
  }
}

a {
  color: $colorDark;
  text-decoration: none;

  &.link {
    color: $colorPrimary;
  }
}

@if ($responsiveType == 1) {
  // Отзывчивая
  .container {
    @if ($maxWidthContainer > 0) {
      max-width: rem($maxWidthContainer);
      box-sizing: content-box;
      margin: 0 auto;
    }
    @if ($containerPadding > 0) {
      padding: 0 rem(math.div($containerPadding, 2));
    }
  }
} @else {
  // По брейк-поинтам
  .container {
    margin: 0 auto;
    @if ($maxWidthContainer > 0) {
      max-width: rem($maxWidthContainer);
      box-sizing: content-box;
    } @else {
      @if ($containerPadding > 0) {
        padding: 0 rem(math.div($containerPadding, 2));
      }
    }
    @media (max-width: $pc) {
      max-width: rem(970);
    }
    @media (max-width: $tablet) {
      max-width: rem(750);
    }
    @media (max-width: $mobile) {
      max-width: none;
      @if ($containerPadding > 0 and $maxWidthContainer > 0) {
        padding: 0 rem(math.div($containerPadding, 2));
      }
    }
  }
}

.wrapper {
  min-height: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden;

  // Прижимаем footer
  > main {
    flex: 1 1 auto;
  }

  // Фикс для слайдеров
  > * {
    min-width: 0;
  }
}

.card {
  &__content {
    background-color: $colorLight;
    border-radius: 10px;
    display: block;
    height: 100%;
    padding: rem(55);
    position: relative;
  }
}

input[type='password']::-ms-reveal,
input[type='password']::-ms-clear {
  display: none;
}
